commit 3152b6e1d8a24b1eb74d62c5ef004534e8ad126f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Nov 21 16:44:58 2015 +0100

    configure.ac: release 2.8.16

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1598eb9cbada171b2f7e4c72d254c3e29d58dc00
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Nov 20 22:55:26 2015 +0100

    etc, docs: regenerate the default gimprc and its manpage

 docs/gimprc.5.in | 4 ++--
 etc/gimprc       | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5cbc0e8173de23840af765d1573e171ef5962c6e
Author: Jasper Krijgsman <jd.krijgsman@gmail.com>
Date:   Thu Nov 19 19:55:48 2015 +0100

    Bug 732363 - wilber.ico doesn't contain 256x256 layer

    Contributed by Jasper Krijgsman

 build/windows/wilber.ico | Bin 45046 -> 78481 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 50f25d1c39cc1ae60281525a71a39f8ca64c1adb
Author: Rafael Fernandez <thegoldenboxmail@gmail.com>
Date:   Thu Nov 19 19:48:11 2015 +0100

    Bug 707028 - Dutch translation for Windows installer

    Contributed by Rafael Fernandez

 build/windows/installer/lang/nl.setup.isl | 113
 ++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit 1b635d999fb6a9d2dda6bd2d1759b5d2997732ed
Author: Jehan <jehan@girinstud.io>
Date:   Thu Nov 5 18:31:06 2015 +0100

    app: enable GimpCurvesTool on construction.

    The Curves tool is to be considered "enabled" as soon as it is
    selected,
    not when it is initialized (usually at the first click on the image).
    One of the main consequence of not being "enabled" was that the tool
    cursor was wrong at selection.

    (cherry picked from commit 011c6db39ec182771bf7c96992e52ac388c79259)

 app/tools/gimpcurvestool.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit f2323bc5b108a71b5bdab0301929a34f2589b6c8
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Nov 14 08:57:41 2015 +0000

    Updated Portuguese translation

 po/pt.po | 247
 ++++++---------------------------------------------------------
 1 file changed, 23 insertions(+), 224 deletions(-)

commit 3aa98c3ef2c7ebd1d564b587e42d65d24f786c37
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Nov 14 08:16:53 2015 +0000

    Updated Portuguese translation

 po/pt.po | 171
 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 71 insertions(+), 100 deletions(-)

commit f58b5288bbb5e6882b97561d7a9945f7bb603244
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Nov 7 21:14:40 2015 +0100

    Bug 757739 - GIMP crashes closing undocked pointer dialog

    Keep a reference to GimpCursorView's context around as long as the
    widget is alive.

    (cherry picked from commit 10085b118a6e83e022573c7ecbd9b4d450f7d05c)

 app/display/gimpcursorview.c | 28 ++++++++++++++++++++++------
 1 file changed, 22 insertions(+), 6 deletions(-)

commit 6afafa75b6cf2f59c2c9079449dddd921e27d4d1
Author: Luis Menina <liberforce@freeside.fr>
Date:   Mon Nov 2 01:58:57 2015 +0100

    Bug 683196 - French translation for the Windows installer

    Contributed by Luis Menina.

 build/windows/installer/lang/fr.setup.isl | 113
 ++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit 2e0deb0d78b4f01331ad42af9dc7c0b47b8cc1c1
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Oct 11 14:17:32 2015 +0000

    Updated Finnish translation

 po/fi.po | 245
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 124 insertions(+), 121 deletions(-)

commit 9b0b1347ec948d7ecb7a5ebe74d883177fafc97b
Author: Jonathan Tait <jontait2@gmail.com>
Date:   Mon Sep 21 01:38:16 2015 +0100

    Bug 755317 - "Apply lens" doesn't work on big images (2366x2366)

    Redefine sizes as glong.

 plug-ins/common/lens-apply.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8182ec4c3ed8d2f052e33f4a2f14eda40d54c896
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Sep 30 10:06:19 2015 +0300

    Updated Greek translation

 po-script-fu/el.po | 3935
 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 2435 insertions(+), 1500 deletions(-)

commit 187411df9d8cde466a730688114e9704283ec120
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Sep 29 11:24:39 2015 +0000

    Updated Serbian translation

 po-tips/sr.po | 145
 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 73 deletions(-)

commit 473d28729b145ec1cb9ca4e4b424be51770358cb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:28:13 2015 +0200

    Fix Chinese (Taiwan) translation of default:LTR

 po/zh_TW.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a941f32747462be18003f8cfdbfff4939b6713e2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:27:02 2015 +0200

    Fix Ukrainian translation of default:LTR

 po/uk.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91ecdcd201414f302d912e8b66e940c10ce51cd1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:26:21 2015 +0200

    Fix Swedish translation of default:LTR

 po/sv.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9cdee54751babf37215282756e90b1520b089945
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:25:48 2015 +0200

    Fix Slovenian translation of default:LTR

 po/sl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6186829a5a74fbda69c81298c8a1ddae1cab6467
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:22:05 2015 +0200

    Fix Estonian translation of default:LTR

 po/et.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00bbab5789dc35116fdf1051f52835bac1405a6b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:21:42 2015 +0200

    Fix Spanish translation of default:LTR

 po/es.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b97a4e0538b47f1ade8bc800aa3e19d51fc8a892
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 17:20:24 2015 +0200

    Fix Greek translation of default:LTR

 po/el.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4ae812a93f8b066bd18e03dc811e5b1f4b73c36
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 16:59:54 2015 +0200

    Fix Catalan translation of default:LTR

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 101b224f63fe84d26f79a8bce1d68e020708fc34
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 16:52:27 2015 +0200

    Fix Aragonese translation of default:LTR

 po/an.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57050cfc7bc7129be067e49e7fca4cb0d4214cd4
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Sep 21 05:19:29 2015 +0000

    Updated Portuguese translation

 po-script-fu/pt.po | 4074
 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 2503 insertions(+), 1571 deletions(-)

commit 368b80fa717a0fe1a371d927f006f45a7f5a3287
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 19 17:49:22 2015 +0200

    Updated po-tags/LINGUAS

 po-tags/LINGUAS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 32e8a4e116b6706b4199a948d19631342d27d9d8
Author: Matt Giuca <mgiuca@chromium.org>
Date:   Fri Sep 18 18:58:12 2015 +0200

    plug-ins: Fix generation of the AND mask for 32-bit ICO images

    Previously, the mask would be transparent if the alpha was <50%.
    However, this causes pixels to become black in some places in Windows
    (notably, the taskbar on Windows 10). Therefore, always set the mask
    to opaque if a pixel is partially or fully opaque.

    (cherry picked from commit 07dfe4a5ebcf59ccf70a0775e406990aa1776dcb)

 plug-ins/file-ico/ico-save.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit f55dd9a7f33a03c918649ff2e14ad517df375b60
Author: Jonathan Tait <jontait2@gmail.com>
Date:   Tue Sep 15 05:37:37 2015 +0100

    Bug 751584 - parasite_list() methods fail if no parasites found

    Correct parasite_list() methods.

 plug-ins/pygimp/gimpmodule.c      | 22 ++++++++--------------
 plug-ins/pygimp/pygimp-drawable.c | 22 ++++++++--------------
 plug-ins/pygimp/pygimp-image.c    | 23 ++++++++---------------
 plug-ins/pygimp/pygimp-vectors.c  | 22 ++++++++--------------
 4 files changed, 32 insertions(+), 57 deletions(-)

commit 9d5fed6ea66dba308400ce2f275b51d6d145d404
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Sep 12 20:26:56 2015 +0200

    Bug 754927 - Non-void function should return a value

    Fix return value glitch in last DND-related commit.

    (cherry picked from commit 1833d292cc5a30527c730d9328b4d6e41cf7fde5)

 app/widgets/gimpdnd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfd482755b081be7dbda2fd1d457d1b6b7ace8a8
Author: Julien Nabet <serval2412@yahoo.fr>
Date:   Tue Sep 8 21:34:11 2015 +0200

    Bug 69496 - Paint tools, Text tool: Click and drag
    font/brush/pattern/gradient...

    ...from tool options crashes GIMP

    Applied a modified patch that actually removes the target list if it
    became empty. This may or may not fix the bug; I can't tell because I
    couldn't reproduce it any longer.

    (cherry picked from commit 456d535232ce781ffbb5f28d68dc91308154c0f8)

 app/widgets/gimpdnd.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit ff950e6a2591c4c7742101653f2659fb902e78a7
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Tue Sep 8 23:42:47 2015 +0200

    Updated Slovenian translation

 po-script-fu/sl.po | 2776
 +---------------------------------------------------
 1 file changed, 44 insertions(+), 2732 deletions(-)

commit 232361ab601c0daaf5f58b58408c707c1eb947d7
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Tue Sep 8 23:34:24 2015 +0200

    Updated Slovenian translation

 po-plug-ins/sl.po | 524
 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 272 insertions(+), 252 deletions(-)

commit 244a14d6b6fe3c2f28c314f6e764c0bdb99c1796
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Tue Sep 8 23:17:55 2015 +0200

    Updated Slovenian translation

 po/sl.po | 2048
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 949 insertions(+), 1099 deletions(-)

commit 978a394efec664da104b8e255eebd794d81095bc
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Sun Sep 6 17:41:09 2015 -0400

    libgimpwidgets: Disconnect ruler's idle handler in dispose

    As discussed on irc, this is more appropriate than finalize because
    we shouldn't be making any gtk calls after dispose.

    (cherry picked from commit 8c02b360fb1a69d68b8c4cb2b1c5f7820c3f1640)

 libgimpwidgets/gimpruler.c | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit a8b596b078c637798b404c45f297138bb5c81ae6
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Sun Sep 6 00:05:32 2015 -0400

    libgimpwidgets: Avoid updating the rulers too often.

    Ever since 72617e42b, whenever the user generated a lot of mouse
    input, we would constantly queue redraws to the rulers. These redraws
    had a higher idle priority than updating the canvas, so we would
    rarely get around to canvas updates, which made certain tools
    (painting with dynamics, the blend tool) feel very unresponsive.

    This fixes it by only redrawing the rulers if the mouse has moved
    far from the last location, or if there are no idle handlers with
    a priority above LOW.

    (cherry picked from commit 3233a70bae756e8f62fb144cbce9d8f84ed25609)

 libgimpwidgets/gimpruler.c | 189
 ++++++++++++++++++++++++++++++++-------------
 1 file changed, 135 insertions(+), 54 deletions(-)

commit 40fd55612046eac4397ccb03abbdf54fd99a554d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 2 20:42:50 2015 +0200

    Updated Polish translation

 po-plug-ins/pl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b50a416390d144beca08b2e3ab3fe444fb85034f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Aug 29 18:41:52 2015 +0200

    Updated Polish translation

 po-libgimp/pl.po   | 189 ++++++-----
 po-plug-ins/pl.po  | 944
 ++++++++++++++++++++++++++---------------------------
 po-python/pl.po    |  52 +--
 po-script-fu/pl.po | 324 +++++++++---------
 po-tags/pl.po      |  11 +-
 po-tips/pl.po      |  86 ++---
 po/pl.po           | 764 +++++++++++++++++++++----------------------
 7 files changed, 1174 insertions(+), 1196 deletions(-)

commit f12131744c1288f52e02bb11abefadf24b99b7c9
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Tue Aug 25 21:46:06 2015 -0400

    NEWS: Updates

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 43f187f5c351b0d06031f1774395bd922c3e1857
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Aug 25 23:05:25 2015 +0200

    Bug 749123 - File->Open thumbnail information label misaligned...

    ...until dialog window is resized

    Immediate eye cancer guaranteed when looking at this patch.

    (cherry picked from commit b5f55ba0cef2a51c26fd6635296f602980b388e8)

 app/widgets/gimpthumbbox.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit cfcfaddd2ade882d4f4995ad1cb023f8ce783ac9
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Fri Aug 21 19:13:27 2015 +0200

    Adding ChangeLog.pre-git to EXTRA_DIST

    This causes make distcheck to succeed again. I am not sure if this
    is the
    right way to do it, though.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 659a75c68664de85d0be57b934ba0ff17b412567
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Fri Aug 21 00:42:10 2015 +0200

    Workaround for intltool vs. automake issue  during distcheck

    intltool and automake 1.15 currently cause a problem during make
    distcheck.
    This is a no-op workaround for intltool-update to make that succeed
    again.
    See https://github.com/systemd/systemd/commit/06528e8fdd and
    https://bugs.launchpad.net/intltool/+bug/1117944 for more information.

    Thanks to Daniel Mack for pointing this out during Chaos Communication
    Camp.

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 6bb8ec5bb37c92db1075b1c0e139325efb9985c0
Author: David Gowers <00ai99@gmail.com>
Date:   Sun Aug 16 20:17:03 2015 +0200

    Bug 753573 - Enter does not take a default action in Python-Fu dialogs

    (cherry picked from commit 0b5c9c41fc4fcf93e4bb48a187ef6fc9079f795c)

 plug-ins/pygimp/gimpfu.py | 1 +
 1 file changed, 1 insertion(+)

commit 9b783de2e4821151dbb470a0021a7d2ba411b489
Author: Saul Goode <saul@crazyauntgail.com>
Date:   Sat Aug 15 20:20:19 2015 +0200

    Bug 746467 - 'convert-decimal-to-base' produces erroneous results

 plug-ins/script-fu/scripts/palette-export.scm | 35
 ++++++++++-----------------
 1 file changed, 13 insertions(+), 22 deletions(-)

commit daf10480d57cad7641a3395a2b49acee10335739
Author: su-v <suv-sf@users.sf.net>
Date:   Sat Jan 24 03:22:56 2015 +0100

    autogen.sh: also look for automake 1.15

 autogen.sh | 3 +++
 1 file changed, 3 insertions(+)

commit 597fae39b4911b6e6e201e711f6de86cb6548f10
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Tue Aug 11 16:20:59 2015 -0400

    Bug 736411 - Ruler updates cause slowdown when painting

    We now avoid drawing rulers in the position property setter and use
    gtk's region invalidation instead. Previously, we were basically
    redrawing the ruler inside the mouse event handler, which is pure
    evil.

    (cherry picked from commit 72617e42b426e6788c075539a20df7365d2cf102)

 libgimpwidgets/gimpruler.c | 176
 ++++++++++++++++++++++++---------------------
 1 file changed, 96 insertions(+), 80 deletions(-)

commit 3138ebde3a20e377c8b5dda58e31fe52de7ae170
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Aug 12 11:58:27 2015 +0000

    Updated Portuguese translation

 po-plug-ins/pt.po | 10282
 ++++++++++++++++++++++++++++------------------------
 1 file changed, 5475 insertions(+), 4807 deletions(-)

commit 59c0f0a64d9569b3db56c0f78e5f575681124484
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Aug 8 05:54:50 2015 +0000

    Updated Portuguese translation

 po/pt.po | 9827
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 5393 insertions(+), 4434 deletions(-)

commit a50765821c83763ecadd685cac2e4e7612ba1029
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Fri Jul 24 18:52:20 2015 +0000

    Updated Portuguese translation

 po-libgimp/pt.po | 485
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 242 insertions(+), 243 deletions(-)

commit c90fa08af1bf9e2d82d4e9a0a3828cc2adae6c8a
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Thu Jul 23 12:12:19 2015 +0200

    Update Aragonese translation

 po-libgimp/an.po  |  63 +++++++++-----------------
 po-plug-ins/an.po |  50 ++++++++++-----------
 po-python/an.po   |   4 +-
 po/an.po          | 131
 ++++++++++++++++++++++++++----------------------------
 4 files changed, 113 insertions(+), 135 deletions(-)

commit 30e5d71ba929bd835b8f5f9eb023775a5f9707a9
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Thu Jul 23 07:53:30 2015 +0000

    Updated Portuguese translation

 po-python/pt.po | 111
 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 56 insertions(+), 55 deletions(-)

commit f78556a44263ccc6c7ed8d522d1ff50c19650b5b
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Thu Jul 23 07:49:48 2015 +0000

    Updated Portuguese translation

 po-script-fu/pt.po | 4135
 ++++++++++++++++++++--------------------------------
 1 file changed, 1601 insertions(+), 2534 deletions(-)

commit 9c5a66f929198f5f001052600a2e8cd354bb0ef7
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Thu Jul 23 07:45:50 2015 +0000

    Updated Portuguese translation

 po-tips/pt.po | 173
 ++++++++++++++++++++++++++++------------------------------
 1 file changed, 83 insertions(+), 90 deletions(-)

commit 53e5084a361523c810851e43cb2d1d2781133e1c
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jul 21 19:24:45 2015 +0200

    Bug 752582 - Error message when refreshing resources without...

    ...a writable resource directory

    gimp_data_factory_data_save(): don't warn about a missing writable
    directory if there is nothing to save.

    (cherry picked from commit 16fa1b722dc4d440766a021edbfb0c72d1fdac76)

 app/core/gimpdatafactory.c | 52
 +++++++++++++++++++++++++++++-----------------
 1 file changed, 33 insertions(+), 19 deletions(-)

commit 1fc061aa469c1a70288907bbb02c371fc0c1f4d3
Author: Nils Philippsen <nils@redhat.com>
Date:   Fri Jul 17 17:07:18 2015 +0200

    Ref/unref dialog->image around saving as well...

    ...to avoid warnings that happen if the image got closed before the
    saving finishes.

    (amends commit a0e48ad29e93e2dc259879abeb2dedc9a420b8f6)

    (cherry picked from commit 0b900239d57161da11e3e0c8094552cf1480dcd3)

 app/dialogs/file-save-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit f60570b3125c8dfd73b531c51ecf0017f2e5b1f0
Author: Nils Philippsen <nils@redhat.com>
Date:   Thu Jul 16 14:18:55 2015 +0200

    tests: link against -lm

    (see commit 4c7338c0974096dca8566a1d570ed51fbe721ae6)

    (cherry picked from commit 9171de3b80735cd608b5ac099c67deb5b9ccaf1f)

 app/config/Makefile.am | 8 +++++++-
 app/tests/Makefile.am  | 8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 670fb5602d097be5b53654ff100dbd98bc11cb28
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Feb 16 19:35:00 2015 +0100

    app: link against -lm, whatever new linker version seems to need is

    (cherry picked from commit 4c7338c0974096dca8566a1d570ed51fbe721ae6)

 app/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 908f4e69d656e5a1cd4b23310a16e287e8ae72f7
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jul 14 13:22:06 2015 +0200

    Bug 739003 - Crashes in file_save_dialog_response()

    Ref/unref the dialog around saving the image insatead of connecting to
    "destroy" and NULLifying the local dialog variable on destruction,
    which has caused weird crashes on fedora.

    (cherry picked from commit a0e48ad29e93e2dc259879abeb2dedc9a420b8f6)

 app/dialogs/file-save-dialog.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit d7f1187e5b6df44e43455eca9f486e9ead1b1dcb
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Jul 4 14:04:35 2015 +0200

    Bug 751645 - tagbox dialog not showing lower tags

    gimp_tag_popup_constructed(): calculate the height of the scrollable
    area correctly.

    (cherry picked from commit df3f7b01e615be2cefb8cd8500ab343d1ee31ec2)

 app/widgets/gimptagpopup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76ad66cdf00c405979504c7aebb417b413e28e55
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jul 3 19:37:30 2015 +0200

    app: factor out a function in GimpEditSelectionTool, and move
    one around

    (cherry picked from commit bc525f39eeb1e8cdaae1836a519cd61fa1156a13)

    Again, not a bugfix, but to make future merging of fixes easier.

 app/tools/gimpeditselectiontool.c | 106
 ++++++++++++++++++++++----------------
 1 file changed, 61 insertions(+), 45 deletions(-)

commit 6b2ebecfc7e345c176f5a2768b2d6dfba9a7f546
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jul 3 12:26:32 2015 +0200

    app: free GimpEditSelectionTool's stuff in finalize()

    (cherry picked from commit 7d220a56e0ff9513b5e5f757a90d8034ee1d9a5a)

 app/tools/gimpeditselectiontool.c | 53
 ++++++++++++++++++++++++++++-----------
 1 file changed, 39 insertions(+), 14 deletions(-)

commit 1ca0f2ec98f9643e2a1798ad0afc17b8b2168d1c
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Tue Jun 30 19:49:53 2015 +0200

    Bug 751089: Part PNG files are not opened properly

    (cherry picked from commit f72f8f20e57ba8abeac3a656b07314a34673776c)

 plug-ins/common/file-png.c | 1 +
 1 file changed, 1 insertion(+)

commit 7395e05614b0ecc42d5597396b39e3d88e5dd32e
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Jun 28 23:48:47 2015 +0200

    app: remove the "exclude" paameter from
    gimp_image_item_list_get_list()

    and from gimp_image_item_list_filter(). After the fixes for bug 735906
    it's no longer needed, and it was harmful.

    (cherry picked from commit 3d7af8a184e06f2766f5584a22b46cc4bd7d7569)

    Merging this to 2.8 is not strictly neccessary, but it's not unlikely
    that linked layers are still slightly broken, so better have this
    cleanup picked too.

 app/core/gimpimage-item-list.c    | 19 +++++--------------
 app/core/gimpimage-item-list.h    |  4 +---
 app/core/gimpimage-resize.c       |  2 +-
 app/core/gimpimage-scale.c        |  4 ++--
 app/core/gimpitem-linked.c        | 21 ++++++++++-----------
 app/tools/gimpeditselectiontool.c | 28 ++++++++++++----------------
 6 files changed, 31 insertions(+), 47 deletions(-)

commit b3e0e8327434cc8110e56f85530be100096ab38a
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Jun 27 12:34:19 2015 +0200

    Bug 735906 - Transform tools give unexpected results when
    transforming...

    ...certain sets of linked layers

    Fix the move tool (GimpEditSelectionTool) using the same principle
    as the other "linked item" features, just a bit more complicated...

    Never translate the active item and its linked items separately,
    always translate the entire list at once.

    The linked logic was distributed across the entire file. Changed the
    code to prepare lists of items that are translated live (layers and
    vectors), and items that are translated at the end (channels, masks
    and the selection). In the motion and button release functions, simply
    use the prepared lists without any further duplicated checking.

    Also clean up the stuff a bit, there is more cleanup needed but first
    the fix...

    (cherry picked from commit 358f13f5b89249ca9bac4857f3ce37bc454b5929)

 app/tools/gimpeditselectiontool.c | 348
 +++++++++++++++++---------------------
 1 file changed, 155 insertions(+), 193 deletions(-)

commit a03d8c42e58bf9121c422ca49724f1fcfb0641d7
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jun 26 13:35:07 2015 +0200

    app: don't push an undo group if an item list transform has only
    one item

    The fixes for bug 735906 made it push too many undo groups.

    (cherry picked from commit a13c63a3f1de118a7e62fdee76b9f020db851f71)

 app/core/gimpimage-item-list.c | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit 1a14fed7b5fca05180ec2ace392f6785f08fd0cd
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jun 26 12:05:14 2015 +0200

    Bug 735906 - Transform tools give unexpected results when
    transforming...

    ...certain sets of linked layers

    Fix for translating layers from the PDB, and with the cursor keys
    for gimpeditselectiontool. Moving layers with the mouse is still
    broken.

    The approach is exactly the same as in 25a696c7.

    (cherry picked from commit 3c706d00c67d675bdb8c255b3fff88490fde82bc)

 app/core/gimpitem-linked.c        | 17 ++++++++++-------
 app/pdb/layer-cmds.c              | 37
 ++++++++++++++++---------------------
 app/tools/gimpeditselectiontool.c | 11 +++++++----
 tools/pdbgen/pdb/layer.pdb        | 37
 ++++++++++++++++---------------------
 4 files changed, 49 insertions(+), 53 deletions(-)

commit e37b28baae24d8a0e49996fe93f6523dd5cc5c59
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu Jun 25 20:17:45 2015 +0000

    Added Occitan translation

 po-tips/LINGUAS |   1 +
 po-tips/oc.po   | 327
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 328 insertions(+)

commit 7144165eab7bbad04afc02a54bce38111461487f
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu Jun 25 20:17:23 2015 +0000

    Updated Occitan translation

 po-plug-ins/oc.po | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 5b35276b6fd0d3e855464bc43d39d38ff58b2fe1
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu Jun 25 20:08:37 2015 +0000

    Updated Occitan translation

 po-libgimp/oc.po | 17227
 ++++++-----------------------------------------------
 1 file changed, 1976 insertions(+), 15251 deletions(-)

commit af6cc5feaa90e806871b421526d04d6ff43bf840
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu Jun 25 19:58:20 2015 +0000

    Updated Occitan translation

 po-script-fu/oc.po | 3653
 ++++++++++++++++++++--------------------------------
 1 file changed, 1395 insertions(+), 2258 deletions(-)

commit 5627787e8531afe245e26da86bbfa815e813cb20
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jun 25 18:11:26 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d744c37557a3d4298cb74160c76d037723b9e1ac
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jun 25 12:25:41 2015 +0200

    Bug 735906 - Transform tools give unexpected results when
    transforming...

    ...certain sets of linked layers

    Fix this bug for flip, rotate and general transforms (not for
    move yet):

    gimp_item_linked_flip,rotate,transform(): always transform the passed
    item too (do not filter it out of the list of items), so these
    functions
    do the entire job of transforming a linked group now. Transforming the
    active item separately didn't work (and is not implementable) if both
    a layer and its parent layer group were linked.

    flip tool, transform tool, layer->transform callbacks: don't call
    gimp_item_foo() *and* (if the item is linked) gimp_item_linked_foo().
    Instead call gimp_item_linked_foo() if the item is linked, and
    gimp_item_foo() otherwise.

    This commit also kills the mis-feature of transforming the selected
    pixels of the active layer, and then the linked items completely. We
    now either only transform the selected area *or* the linked group.

    (cherry picked from commit 25a696c7f822864ebb35bcbfdb913a98032b0469)

 app/actions/drawable-commands.c | 26 ++++++--------
 app/core/gimpitem-linked.c      | 77
 ++++++++++++++++++++++++-----------------
 app/tools/gimpfliptool.c        | 15 +++++---
 app/tools/gimptransformtool.c   | 46 +++++++++++++-----------
 po/POTFILES.in                  |  1 +
 5 files changed, 92 insertions(+), 73 deletions(-)

commit e44e53a84ba8d9ae56c14b899c070fda1af44f44
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Jun 24 19:40:54 2015 +0200

    app: small fix for the previous patch in
    gimp_group_layer_update_size()

    (cherry picked from commit b12ecc71957ec9cfcead2d0757088a1111ae3065)

 app/core/gimpgrouplayer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8edb0f21498f7af4749ace404aa720af04b189e
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Tue Jun 23 11:56:50 2015 +0000

    Updated Hungarian translation

 po/hu.po | 174
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 85 insertions(+), 89 deletions(-)

commit e645b922bfe2d4029243011381c852cbcc9a398f
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Jun 23 10:24:25 2015 +0200

    app: fix update of group layers when size changes only trigger an
    offset change

    In gimp_group_layer_update_size(), when the new size happens to be the
    same as the old size, we need to call gimp_pickable_flush() on the
    group projection so it is ready to be used for rendering the image,
    just like in gimp_group_layer_stack_update().

    (cherry picked from commit 2f8476bd18ce2b01516133564e894be1d3c4b4c5)

 app/core/gimpgrouplayer.c | 3 +++
 1 file changed, 3 insertions(+)

commit 26653680b52c99c445592d5320829637fee18e7d
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Jun 23 05:50:22 2015 +0000

    Updated Occitan translation

 po/oc.po | 916
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 458 insertions(+), 458 deletions(-)

commit 9bb3da5ed5099566cc3e555859080f248dc0befe
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Mon Jun 22 20:23:08 2015 +0200

    Bug 751178: GIMP doesn't load fonts from folders...

    which path contains Cyrillic characters

    (cherry picked from commit f0028624df617c53e85229f36c0653eb7e078aa4)

     Conflicts:
	app/text/gimp-fonts.c

 app/text/gimp-fonts.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 9b2c6eb8c2bc4d235b4520bf5362faa65b546ac5
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:	Sun Jun 21 18:10:22 2015 +0200

    Bug 749406 - Displace segfaults on launch

    (cherry picked from commit 90273fb57bf945778232e5db7e43c5f4d6677426)

 libgimp/gimpitemcombobox.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit afd4602957ae280e7b53187440cd416838bc68ba
Author: Michael Natterer <mitch@gimp.org>
Date:	Sat Jun 20 22:04:03 2015 +0200

    app: remove "remove_children" parameter from
    gimp_image_item_list_filter()

    It was always TRUE. The function should be renamed now, but not until
    the merging of linked item fixes to 2-8 is done.

    (cherry picked from commit 6d6efbbf8b4676a5ac556f9644c0fa755e52a790)

 app/core/gimpimage-item-list.c    | 26 +++++++++++---------------
 app/core/gimpimage-item-list.h    |  3 +--
 app/core/gimpimage-scale.c	   |  2 +-
 app/core/gimpitem-linked.c	   | 10 +++++-----
 app/tools/gimpeditselectiontool.c | 12 ++++++------
 5 files changed, 24 insertions(+), 29 deletions(-)

commit 5f41d750ec7a24698cda65f91c5f4870b27c7e48
Author: Michael Natterer <mitch@gimp.org>
Date:	Sat Jun 20 16:03:40 2015 +0200

    app: remove "remove_locked" parameter from
    gimp_image_item_list_filter()

    This is just removal of unused code before fixing bug 735906.

    (cherry picked from commit 64b24d169dfb76499e9db0f37d457498c558ac74)

 app/core/gimpimage-item-list.c    | 18 +-----------------
 app/core/gimpimage-item-list.h    |  3 +--
 app/core/gimpimage-scale.c	   |  2 +-
 app/core/gimpitem-linked.c	   | 10 +++++-----
 app/tools/gimpeditselectiontool.c | 18 ++++++------------
 5 files changed, 14 insertions(+), 37 deletions(-)

commit 753e60791aa93e1bd5806cb085c2626305f187df
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Thu Jun 18 05:23:41 2015 +0000

    Updated Occitan translation

 po-plug-ins/oc.po | 18572
 ++++++++++++++++++++++++++++------------------------
[--snip--]
